Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 554388 - =sci-libs/vtk-6.1.0-r1 USE="all-modules" is missing dependency on sci-libs/gdal
Summary: =sci-libs/vtk-6.1.0-r1 USE="all-modules" is missing dependency on sci-libs/gdal
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Science Related Packages
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-07-09 21:13 UTC by Nicolas Bock
Modified: 2017-11-17 05:28 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
The build.log. (build.log,32.04 KB, text/x-log)
2015-07-09 21:13 UTC, Nicolas Bock
Details
build.log with USE=gdal (build.log,33.36 KB, text/x-log)
2015-07-09 21:34 UTC, Nicolas Bock
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nicolas Bock gentoo-dev 2015-07-09 21:13:13 UTC
Created attachment 406438 [details]
The build.log.

Build fails with

Could NOT find GDAL (missing: GDAL_LIBRARY GDAL_INCLUDE_DIR)

Adding gdal use flag fixes it.
Comment 1 Nicolas Bock gentoo-dev 2015-07-09 21:33:39 UTC
Hmm, I spoke to soon, it still fails. Now it's not finding mysql. Please see attached build.log.
Comment 2 Nicolas Bock gentoo-dev 2015-07-09 21:34:08 UTC
Created attachment 406440 [details]
build.log with USE=gdal
Comment 3 cJ 2017-11-17 05:28:28 UTC
Also note that USE="all-modules -mpi" results in compilation failure, because MPI deps are only included with "mpi" and "all-modules" will try to build the MPI modules...